
using UnityEngine;

public class MoveRigidbody : MonoBehaviour
{
    [SerializeField] float moveSpeed; //    
    [SerializeField] float jump; //   
     bool isGround; //         
 
    Rigidbody rb; //      ( )
    Vector3 move //            
    {
        get {
            var xMove = Input.GetAxis("Horizontal");
            var zMove = Input.GetAxis("Vertical");
            return new Vector3(xMove, 0.0f, zMove);
        }
    }
    
    //      
    void Start()
    {
        rb = GetComponent<Rigidbody>(); //       Rigidbody
    }
 
    // ,      ( ,  0.02  )

    void FixedUpdate()
    {
        if (isGround)
        {
            Move();   //      
        }
        Jump();   //   
    }
    
    //  
    private void Move()
    {
        rb.AddForce(move * moveSpeed , ForceMode.Force); //   
        
    }

    //  
    void Jump()
    {
        if (isGround && Input.GetKeyDown(KeyCode.Space)) //     (    bool   nm    
                                                         //             true,      !    
                                                         //  false)       
        {
            rb.AddForce(Vector3.up * jump, ForceMode.Impulse); //  
            isGround = false; //    false
        }
    }
    //         (        "Ground")
    void OnCollisionEnter(Collision col)
    {
        if (col.gameObject.tag == "Ground") //      
        {
            isGround = true; //    true;
        }
        

    }

}

